import { LoadingButtonProps as MuiLoadingButtonProps } from "@mui/lab";
import { ReactElement } from "react";
export declare enum LoadingButtonState {
    Idle = "idle",
    Loading = "loading",
    Success = "success"
}
type SelectedButtonProps = Omit<MuiLoadingButtonProps, "children">;
export interface LoadingButtonProps {
    buttonState: LoadingButtonState;
    /**
     * Button label.
     */
    buttonText: string;
    /**
     * Button label that is displayed on success.
     */
    buttonTextSuccess?: string;
    /**
     * Provide an icon that is displayed in front of the text
     * when state is successful.
     */
    successIcon?: JSX.Element | ReactElement;
    /**
     * Adjust the button when the state is any other than successful.
     */
    loadingButtonProps?: SelectedButtonProps;
    /**
     * Adjust the button when the state is successful.
     */
    loadingButtonPropsPropsSuccess?: SelectedButtonProps;
}
export {};
