import { FormState } from "react-hook-form";
import { LoadingButtonState } from "./LoadingButtonInterfaces";
/**
 * Redefinition of mutation status defined by react query. By doing this
 * we don't need to import react-query in the package.
 */
declare type MutationStatus = "idle" | "loading" | "success" | "error";
/**
 * Get loading button state from react-query mutation status.
 */
export declare const loadingButtonStateFromReactQueryMutationStatus: (mutationStatus: MutationStatus) => LoadingButtonState;
/**
 * Get loading button state from a react-hook-form context.
 */
export declare const useLoadingButtonStateFromFormContext: () => LoadingButtonState;
/**
 * Get loading button state from a react-hook-form state.
 */
export declare const loadingButtonStateFromFormState: (formState: FormState<any>) => LoadingButtonState;
export {};
