import { TFunction } from "react-i18next";
/**
 * Used for static data definitions outside of react:
 * ```.
 * // Static definition, somewhere:
 * const myString = (t) => t("my.string");
 *
 * // Using the translated string inside a component:
 * const t = useTranslation();
 * const string = myString(t);
 * ```.
 */
export type TranslatedString = (t: TFunction) => string;
