/// <reference types="react" />
import { AutocompleteProps, ChipTypeMap, TextFieldProps } from "@mui/material";
import { LabeledValueWithGrouping } from "../../inputTypes";
import { GroupLabelSorting } from "./useSortedOptionsWithGroup";
export interface CustomAutocompleteProps<T, Multiple extends boolean | undefined = false, DisableClearable extends boolean | undefined = false, FreeSolo extends boolean | undefined = false, ChipComponent extends React.ElementType = ChipTypeMap["defaultComponent"]> extends Omit<AutocompleteProps<T, Multiple, DisableClearable, FreeSolo, ChipComponent>, "renderInput" | "options"> {
    renderInput?: AutocompleteProps<T, Multiple, DisableClearable, FreeSolo, ChipComponent>["renderInput"];
}
export interface InputAutocompleteProps<T, Multiple extends boolean | undefined = false, DisableClearable extends boolean | undefined = false, FreeSolo extends boolean | undefined = false, ChipComponent extends React.ElementType = ChipTypeMap["defaultComponent"]> {
    groupSorting?: GroupLabelSorting;
    selectableOptions: LabeledValueWithGrouping[];
    /**
     * Text that is displayed when there are no more options.
     */
    noOptions: string;
    autoCompleteProps?: CustomAutocompleteProps<T, Multiple, DisableClearable, FreeSolo, ChipComponent>;
    /**
     * Renders checkboxes next to the options.
     */
    checkboxesForMultiselect?: boolean;
    /**
     * Props that are passed to the input rendered for the autocomplete field.
     */
    inputTextFieldProps?: TextFieldProps;
}
