/// <reference types="react" />
import { CheckboxProps, FormControlLabelProps } from "@mui/material";
import { BaseInputProps } from "../BaseInputProps";
export interface InputCheckboxProps {
    checkboxProps?: Omit<CheckboxProps, "checked">;
    formControlLabelProps?: Omit<FormControlLabelProps, "control" | "label">;
    /**
     * In contrast to other FormFields,
     *  the checkbox supports jsx elements as a label.
     *
     * If this is provided, formField.label will be ignored.
     */
    jsxLabel?: JSX.Element;
}
/**
 * Input for Checking a box indicating acceptance of something.
 */
export declare const InputCheckbox: ({ formField, jsxLabel, checkboxProps, formControlLabelProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputCheckboxProps>) => JSX.Element;
