/// <reference types="react" />
import { DatePickerProps as MuiDatePickerProps } from "@mui/x-date-pickers";
import dayjs from "dayjs";
import { BaseInputProps } from "../BaseInputProps";
/**
 * Mangled version of the original DatePickerProps type
 * from @mui/x-date-pickers.
 */
interface DatePickerProps extends Omit<MuiDatePickerProps<dayjs.Dayjs, false>, "label" | "onChange" | "value"> {
}
export interface InputDatePickerProps {
    datePickerProps?: DatePickerProps;
}
/**
 * A Datetime picker that works with react hook form.
 */
export declare const InputDatePicker: ({ formField, datePickerProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputDatePickerProps>) => JSX.Element;
export {};
