/// <reference types="react" />
import { DateTimePickerProps as MuiDateTimePickerProps } from "@mui/x-date-pickers";
import { Dayjs } from "dayjs";
import { BaseInputProps } from "../BaseInputProps";
/**
 * Mangled version of the original DateTimePickerProps type
 * from @mui/x-date-pickers.
 */
interface DateTimePickerProps extends Omit<MuiDateTimePickerProps<Dayjs, false>, "label" | "onChange" | "value"> {
}
export interface InputDateTimePickerProps {
    dateTimePickerProps?: DateTimePickerProps;
}
/**
 * A Datetime picker that works with react hook form.
 */
export declare const InputDateTimePicker: ({ formField, dateTimePickerProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputDateTimePickerProps>) => JSX.Element;
export {};
