/// <reference types="react" />
import { TextFieldProps } from "@mui/material";
import { NumericFormatProps } from "react-number-format";
import { BaseInputProps } from "../BaseInputProps";
export interface InputNumberProps {
    textFieldProps?: Omit<TextFieldProps, "required" | "label" | "value">;
    numericFormatProps?: Omit<NumericFormatProps, "customInput">;
}
/**
 * Renders a MUI input text fields that handles input of number in a nice
 * way and is embedded in a react hook form context.
 *
 * @throws Error when FormContext is null.
 */
export declare const InputNumber: ({ formField, textFieldProps, numericFormatProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputNumberProps>) => JSX.Element | null;
