/// <reference types="react" />
import { OutlinedInputProps } from "@mui/material";
import { BaseInputProps } from "../BaseInputProps";
export interface InputOutlinedInputProps {
    outlinedInputProps?: Omit<OutlinedInputProps, "required" | "label">;
}
/**
 * Renders a MUI input text fields that is embedded in a react
 * hook form context.
 *
 * @throws Error when FormContext is null.
 */
export declare const InputOutlinedInput: ({ formField, outlinedInputProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputOutlinedInputProps>) => JSX.Element | null;
