/// <reference types="react" />
import { SelectProps } from "@mui/material";
import { LabeledValueWithGrouping } from "../../inputTypes";
import { BaseInputProps } from "../BaseInputProps";
export interface InputSelectProps {
    selectableOptions: LabeledValueWithGrouping[];
    /**
     * Text of an disabled item that can be rendered above the selectable options.
     */
    optionsTitle?: string;
    selectComponentProps?: Omit<SelectProps, "labelId" | "error" | "label" | "value">;
    /**
     * Element that is rendered in the end of a select item and holds
     * a tooltip with the disabled message for this option.
     *
     * If none is given the element is disabled without rendering a tooltip.
     */
    tooltipHolder?: JSX.Element;
}
/**
 * Renders a MUI select based that is embedded in a react hook
 * form context.
 *
 * @throws Error when FormContext is null.
 */
export declare const InputSelect: ({ formField, selectableOptions, optionsTitle, selectComponentProps, tooltipHolder, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputSelectProps>) => JSX.Element;
