/// <reference types="react" />
import { TextFieldProps } from "@mui/material";
import { BaseInputProps } from "../BaseInputProps";
export interface InputTextFieldProps {
    textFieldProps?: Omit<TextFieldProps, "required" | "label">;
}
/**
 * Renders a MUI input text field that is embedded in a react
 * hook form context.
 *
 * @throws Error when FormContext is null.
 */
export declare const InputTextField: ({ formField, textFieldProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputTextFieldProps>) => JSX.Element | null;
