/// <reference types="react" />
import { TimePickerProps } from "@mui/x-date-pickers";
import dayjs from "dayjs";
import { BaseInputProps } from "../BaseInputProps";
/**
 * Mangled version of the original DateTimePickerProps type
 * from @mui/x-date-pickers.
 */
interface MangledTimePickerProps extends Omit<TimePickerProps<dayjs.Dayjs>, "label" | "onChange" | "value"> {
}
export interface InputTimePickerProps {
    timePickerProps?: MangledTimePickerProps;
}
/**
 * A Datetime picker that works with react hook form.
 */
export declare const InputTimePicker: ({ formField, timePickerProps, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputTimePickerProps>) => JSX.Element;
export {};
