/// <reference types="react" />
import { StackProps, ToggleButtonGroupProps, ToggleButtonProps, TypographyProps } from "@mui/material";
import { BaseInputProps } from "../BaseInputProps";
export interface InputToggleButtonGroupProps {
    toggleButtonGroupProps?: Omit<ToggleButtonGroupProps, "onChange" | "value">;
    /**
     * Props for the Stack component acting as the label-element.
     * Only used if a label is set.
     *
     * Use `direction` to change the label placement.
     */
    stackProps?: StackProps;
    /**
     * Props for the Typography component inside the label.
     * Does not include the required-asterisk.
     */
    typographyProps?: TypographyProps;
    buttons: SingleToggleButton[];
    /**
     * Ensures that at least one value needs to be selected.
     *
     * @default false
     */
    enforceValueSelected?: boolean;
}
export interface SingleToggleButton {
    icon: JSX.Element;
    value: string | number | boolean;
    toggleButtonProps?: ToggleButtonProps;
}
/**
 * Input for a toggle button group.
 */
export declare const InputToggleButtonGroup: ({ formField, toggleButtonGroupProps, stackProps, typographyProps, buttons, enforceValueSelected, unregisterOptions, isUnregisteringOnUnmount, }: BaseInputProps<InputToggleButtonGroupProps>) => JSX.Element;
