import { UseFormUnregister } from "react-hook-form";
export type UnregisterOptions = Parameters<UseFormUnregister<any>>[1];
/**
 * An effect that unregisters a field from the form when the component unmounts.
 *
 * @throws Error when FormContext is null.
 */
export declare const useEffectFieldUnregisterOnUnmount: ({ name, unregisterOptions, isUnregisteringOnUnmount, }: {
    name: string;
    isUnregisteringOnUnmount?: boolean | undefined;
    unregisterOptions?: UnregisterOptions;
}) => void;
