import { AnyObject } from "@nvon/baseline";
import { FieldError, FormState } from "react-hook-form";
/**
 * Get the field errors for a (possibly nested) field name.
 *
 * Checking `formState.errors[fieldName]` only works if fieldName is not a path
 *  (e.g. Does not include dots).
 *
 * Did not find a built-in way to do this … there might be one though.
 */
export declare const getFormErrorForNestedKeys: (errors: FormState<AnyObject>["errors"], fieldName: string) => FieldError | FieldError[] | undefined;
